<!DOCTYPE html>
<html lang="en">
<head>
  <%- include('../partials/head.ejs'); -%>
</head>
<body>
<%
var password = "";
var confirmPassword = "";
%>
<div class="container bg-3">
  <%- include('../partials/header.ejs'); -%>
  <div class="row main-container">
     <div class="text-right">
    <button class="btn add-btn" data-toggle="modal" data-target="#createDoctor" ><i class="fa fa-folder"></i> Add Doctor</button>
  </div>
        <div class="row">
          <div class="col-sm-6 col-sm-offset-3">
            <div class="row">
              <div class="col-sm-12">
                <% if(error){ %>
                  <div class="alert alert-danger"><%= error %></div>
              <% } %>
              </div>
            </div>
          </div><!--/col-sm-6-->
        </div><!--/row-->
        <% if(doctors == "Doctors not found"){ %>
            <h4>Doctors not found.</h4>
        <% }else{ %>
        <div class="mt-2" style="background-color: rgb(255, 255, 255)">
          <div class="row">
            <div class="col">
              <div class="table-responsive mt-5">
                <table class="table table-bordered table-striped table-hover users-table mb-2">
                  <thead>
                    <tr>
                      <th>DR Chrono ID</th>
                      <th>Doctor Name</th>
                      <th>Clinic</th>
                      <th>Field</th>
                      <th>RB Patients</th>
                      <th class="no-sort">Actions</th>
                    </tr>
                  </thead>
                  <tbody>
                    <% doctors.forEach(function(doctor, doctorIndex){  %>
                    <tr>
                        <td><%= doctor.doctorID %></td>
                        <td><%= doctor.first_name %> <%= doctor.last_name %></td>
                        <td>
                          <% if(doctor.clinicID && doctor.clinicID.title && doctor.clinicID.title !=""){ %>
                            <%= doctor.clinicID.title %>
                          <% } %>
                        </td>
                        <td><%= doctor.specialty %></td>
                        <td><%= doctor.patientsCount %></td>
                        <td>
                          <button class="btn detailsDoctor" data-id="<%= doctor._id %>" ><i class="fa fa-eye"></i></button>
                          <button class="btn deletedDoctors" data-id="<%= doctor._id %>"><i class="fa fa-trash"></i></button>
                        </td>
                    </tr>
                    <% }) %>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
    <% } %>
  </div>
</div>
<%- include('../partials/footer.ejs'); -%>
<script>
      $(document).ready(function() {
        $(".users-table").DataTable({
          "aaSorting": [],
          "columnDefs": [ {
            "targets": 'no-sort',
            "orderable": false,
          } ]
        });
        // Create form submit when click on button
        $('#createDoctorButton').click(function() {
          $('#uploadForm').submit()
        });
        // Delete doctor
        $(document).on('click', '.deletedDoctors', function() {
          let docID = $(this).data('id')

          swal({
            title: "Are you sure?",
            text: "Yo want to delete doctor",
            type: "warning",
            type: "warning",
            showCancelButton: true,
            confirmButtonClass: "btn-danger",
            confirmButtonText: "Yes, delete it!",
            closeOnConfirm: false
          },
          function(){
            $.ajax({
                data:{docID:docID},
                url:"/doctors/deleteDoctors",
                type: "DELETE",
                error: function(xhr) {
                },
                success: function(response) {
                    if(response.status == "error"){
                    }else{
                      swal({
                        title: "Deleted",
                        text: "",
                        type: "success",
                        confirmButtonText: "Okay"
                      },
                      function(){
                        location.reload()
                      });
                    }
                }
            });
          });
        });

        // Create form submit
        $('#uploadForm').submit(function(e) {
            e.preventDefault();
            var first_name = $('#first_name').val();
            var last_name = $('#last_name').val();
            var email = $('#email').val();
            var doctorID = $('#doctorID').val();

            if(first_name == ""){
              $('.errorCreateDoctor').show()
              $('.errorCreateDoctor').html("First name is required")
              setTimeout(function(){ $('.errorCreateDoctor').hide() }, 3000)
              return false
            }
            if(last_name == ""){
              $('.errorCreateDoctor').show()
              $('.errorCreateDoctor').html("Last name is required")
              setTimeout(function(){ $('.errorCreateDoctor').hide() }, 3000)
              return false
            }
            if(email == ""){
              $('.errorCreateDoctor').show()
              $('.errorCreateDoctor').html("Email is required")
              setTimeout(function(){ $('.errorCreateDoctor').hide() }, 3000)
              return false
            }
            const re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
            if (!re.test(email)) {
              $('.errorCreateDoctor').show()
              $('.errorCreateDoctor').html("Please enter a valid email")
              setTimeout(function(){ $('.errorCreateDoctor').hide() }, 3000)
              return false
            }
            if(doctorID == ""){
              $('.errorCreateDoctor').show()
              $('.errorCreateDoctor').html("Doctor ID is required")
              setTimeout(function(){ $('.errorCreateDoctor').hide() }, 3000)
              return false
            }

            $(this).ajaxSubmit({
                error: function(xhr) {
                  $('.errorCreateDoctor').show()
                  $('.errorCreateDoctor').html(xhr.responseJSON.message)
                  setTimeout(function(){ $('.errorCreateDoctor').hide() }, 3000);
                },
                success: function(response) {
                    if(response.status == "error"){
                      $('.errorCreateDoctor').show()
                      $('.errorCreateDoctor').html(response.message)
                      setTimeout(function(){ $('.errorCreateDoctor').hide() }, 3000);
                    }else{
                      $('.successCreateDoctor').show()
                      $('.successCreateDoctor').html(response.message)
                      setTimeout(function(){ location.reload() }, 1000);
                    }
                }
            });
            //Very important line, it disable the page refresh.
            return false;
        });

        $(document).on('click', '.detailsDoctor', function() {
          let docID = $(this).data('id')
          url = '/doctors/details/'+docID
          window.location = url;
        })

        $( ".clinicDoctors" ).select2();

      });
</script>

<!-- Create Modal -->
    <div class="modal fade" id="createDoctor" role="dialog">
      <div class="modal-dialog">
                      <!-- Modal content-->
       <div class="modal-content">
         <div class="modal-header">
           <button type="button" class="close" data-dismiss="modal">&times;</button>
           <h4 class="modal-title">Create Doctor</h4>
         </div>
         <div class="modal-body">
           <div class="alert alert-success successCreateDoctor" style="display:none"> </div>
           <div class="alert alert-danger errorCreateDoctor" style="display:none"> </div>

           <form id="uploadForm" enctype="multipart/form-data" action="/doctors/addDoctors" method="post">
              <div class="form-group col-md-6">
                 <label for="first_name">First Name</label>
                 <input type="text" class="input-lg form-control" name="first_name" id="first_name" placeholder="First name" required>
               </div>
               <div class="form-group col-md-6">
                 <label for="last_name">Last Name</label>
                 <input type="text" class="input-lg form-control" name="last_name" id="last_name" placeholder="Last Name" required>
               </div>
               <div class="form-group col-md-6">
                 <label for="email">Email</label>
                 <input type="email" class="input-lg form-control" name="email" id="email" placeholder="Email" required>
               </div>
               <div class="form-group col-md-6 select2-wrapper">
                 <label for="clinicDoctors">Choose a Clinic:</label>
                  <select id="clinicDoctors" name="clinicID" class="clinicDoctors select2-single">
                    <option></option>
                    <% clinics.forEach(function(clinic, clinicIndex){  %>
                      <option value="<%= clinic._id %>"><%= clinic.title %></option>
                    <% })  %>
                  </select>
                </div>
               <div class="form-group col-md-6">
                  <label for="doctorID">DRChrono ID</label>
                  <input type="text" class="input-lg form-control" name="doctorID" id="doctorID" placeholder="DR Chrono ID" >
                </div>
               <div class="form-group col-md-6">
                  <label for="specialty">Specialisation</label>
                  <input type="text" class="input-lg form-control" name="specialty" id="specialty" placeholder="Specialisation" >
                </div>
               <div class="form-group col-md-12">
                 <label for="ecucation">Bio</label>
                 <textarea class="form-control" name="education" rows="5" id="ecucation"></textarea>
               </div>
            </form>
         </div>
         <div class="clearfix"></div>
         <div class="modal-footer">
           <button  class="btn" id="createDoctorButton">Create Doctor</button>
           <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
         </div>
       </div>

     </div>
   </div>
<!-- Create Modal -->
</body>
</html>
